#ifndef __core__filesystem_h
#define __core__filesystem_h
#include <string>
#include <filesystem>

namespace Filesystem {

void CreateDirectories(const std::filesystem::path& path);
std::filesystem::path GetDotPath();        // %APPDATA%/minori, ~/Library/Application Support/minori, ~/.config/minori...
std::filesystem::path GetConfigPath();     // (dotpath)/config.json
std::filesystem::path GetAnimeDBPath();    // (dotpath)/anime/db.json
std::filesystem::path GetPlayersPath();    // (dotpath)/player.json
std::filesystem::path GetExtensionsPath(); // (dotpath)/extensions.json

} // namespace Filesystem

#endif // __core__filesystem_h
